TypeSpecifyableTransactionProxyFactoryBean (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.commons.spring
[Java] Class TypeSpecifyableTransactionProxyFactoryBean

    java.lang.Object
      org.springframework.aop.framework.ProxyConfig
          org.springframework.aop.framework.AbstractSingletonProxyFactoryBean
              org.springframework.transaction.interceptor.TransactionProxyFactoryBean
                  org.codehaus.groovy.grails.commons.spring.TypeSpecifyableTransactionProxyFactoryBean

    @java.lang.SuppressWarnings("serial")
    public class TypeSpecifyableTransactionProxyFactoryBean
    extends org.springframework.transaction.interceptor.TransactionProxyFactoryBean

Allows the type of the underlying object to be specified explicitly. This is used when creating scoped proxies of transactional proxies of services. The scoped proxy needs to know that type of the object before the transactional proxy factory has instantiated the underlying service and is able to determine it's class. This class allows the type to be explicitly specified. Used by org.codehaus.groovy.grails.plugins.services.ServicesGrailsPlugin.

Constructor Summary
`TypeSpecifyableTransactionProxyFactoryBean(java.lang.Class type)`

Method Summary
`java.lang.Class` | `getObjectType()`

Methods inherited from class org.springframework.transaction.interceptor.TransactionProxyFactoryBean
org.springframework.transaction.interceptor.TransactionProxyFactoryBean#setBeanFactory(org.springframework.beans.factory.BeanFactory), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#setTransactionManager(org.springframework.transaction.PlatformTransactionManager), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#setTransactionAttributes(java.util.Properties), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#setTransactionAttributeSource(org.springframework.transaction.interceptor.TransactionAttributeSource), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#setPointcut(org.springframework.aop.Pointcut), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#getObjectType(), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#isSingleton(), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#getObject(), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#setTarget(java.lang.Object), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#afterPropertiesSet(), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#setBeanClassLoader(java.lang.ClassLoader), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#setAdvisorAdapterRegistry(org.springframework.aop.framework.adapter.AdvisorAdapterRegistry), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#setProxyClassLoader(java.lang.ClassLoader), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#setProxyInterfaces([Ljava.lang.Class;), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#setPreInterceptors([Ljava.lang.Object;), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#setPostInterceptors([Ljava.lang.Object;), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#isOpaque(), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#setOpaque(boolean), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#toString(), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#isFrozen(), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#copyFrom(org.springframework.aop.framework.ProxyConfig), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#isOptimize(), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#setOptimize(boolean), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#setProxyTargetClass(boolean), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#setExposeProxy(boolean), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#isExposeProxy(), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#setFrozen(boolean), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#isProxyTargetClass(), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#wait(long, int), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#wait(long), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#wait(), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#equals(java.lang.Object), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#hashCode(), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#getClass(), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#notify(), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#notifyAll()

Methods inherited from class org.springframework.aop.framework.AbstractSingletonProxyFactoryBean
org.springframework.aop.framework.AbstractSingletonProxyFactoryBean#getObjectType(), org.springframework.aop.framework.AbstractSingletonProxyFactoryBean#isSingleton(), org.springframework.aop.framework.AbstractSingletonProxyFactoryBean#getObject(), org.springframework.aop.framework.AbstractSingletonProxyFactoryBean#setTarget(java.lang.Object), org.springframework.aop.framework.AbstractSingletonProxyFactoryBean#afterPropertiesSet(), org.springframework.aop.framework.AbstractSingletonProxyFactoryBean#setBeanClassLoader(java.lang.ClassLoader), org.springframework.aop.framework.AbstractSingletonProxyFactoryBean#setAdvisorAdapterRegistry(org.springframework.aop.framework.adapter.AdvisorAdapterRegistry), org.springframework.aop.framework.AbstractSingletonProxyFactoryBean#setProxyClassLoader(java.lang.ClassLoader), org.springframework.aop.framework.AbstractSingletonProxyFactoryBean#setProxyInterfaces([Ljava.lang.Class;), org.springframework.aop.framework.AbstractSingletonProxyFactoryBean#setPreInterceptors([Ljava.lang.Object;), org.springframework.aop.framework.AbstractSingletonProxyFactoryBean#setPostInterceptors([Ljava.lang.Object;), org.springframework.aop.framework.AbstractSingletonProxyFactoryBean#isOpaque(), org.springframework.aop.framework.AbstractSingletonProxyFactoryBean#setOpaque(boolean), org.springframework.aop.framework.AbstractSingletonProxyFactoryBean#toString(), org.springframework.aop.framework.AbstractSingletonProxyFactoryBean#isFrozen(), org.springframework.aop.framework.AbstractSingletonProxyFactoryBean#copyFrom(org.springframework.aop.framework.ProxyConfig), org.springframework.aop.framework.AbstractSingletonProxyFactoryBean#isOptimize(), org.springframework.aop.framework.AbstractSingletonProxyFactoryBean#setOptimize(boolean), org.springframework.aop.framework.AbstractSingletonProxyFactoryBean#setProxyTargetClass(boolean), org.springframework.aop.framework.AbstractSingletonProxyFactoryBean#setExposeProxy(boolean), org.springframework.aop.framework.AbstractSingletonProxyFactoryBean#isExposeProxy(), org.springframework.aop.framework.AbstractSingletonProxyFactoryBean#setFrozen(boolean), org.springframework.aop.framework.AbstractSingletonProxyFactoryBean#isProxyTargetClass(), org.springframework.aop.framework.AbstractSingletonProxyFactoryBean#wait(long, int), org.springframework.aop.framework.AbstractSingletonProxyFactoryBean#wait(long), org.springframework.aop.framework.AbstractSingletonProxyFactoryBean#wait(), org.springframework.aop.framework.AbstractSingletonProxyFactoryBean#equals(java.lang.Object), org.springframework.aop.framework.AbstractSingletonProxyFactoryBean#hashCode(), org.springframework.aop.framework.AbstractSingletonProxyFactoryBean#getClass(), org.springframework.aop.framework.AbstractSingletonProxyFactoryBean#notify(), org.springframework.aop.framework.AbstractSingletonProxyFactoryBean#notifyAll()

Constructor Detail

### TypeSpecifyableTransactionProxyFactoryBean

    public TypeSpecifyableTransactionProxyFactoryBean(java.lang.Class type)

Method Detail

### getObjectType

    @java.lang.Override
    public java.lang.Class getObjectType()

Groovy Documentation